Skip to content
This repository

Error using jitsu install #423

Closed
eshober opened this Issue March 21, 2013 · 3 comments

2 participants

Edward Shober Jarrett Cruger
Edward Shober

I've installed node (v0.10.1), npm (v1.2.15) and jitsu (v0.12.8) and now I want to verify everything by using jitsu install and then jitsu deploy. The jitsu install is failing with the following output:

eshober@edsdev:~/jitsu$ jitsu login
info: Welcome to Nodejitsu eshober
info: jitsu v0.12.8, node v0.10.1
info: It worked if it ends with Nodejitsu ok
info: Executing command login
prompt: username: (eshober)
prompt: password:

info: Authenticated as eshober
info: Nodejitsu ok
eshober@edsdev:~/jitsu$ jitsu install
info: Welcome to Nodejitsu eshober
info: jitsu v0.12.8, node v0.10.1
info: It worked if it ends with Nodejitsu ok
info: Executing command install
help: The install command downloads pre-built node apps
info: Please select a node app to get started
info: Available node apps:
info: helloworld demo hello world http server
info: express express.js boilerplate
info: socket.io socket.io boilerplate
info: http-server a robust and customizable http server
prompt: Which node app to install?: (helloworld) helloworld
info: Installing helloworld locally
warn: Downloading packages from npm, this may take a moment...
npm http GET https://registry.npmjs.org/nodeapps-helloworld
npm http 200 https://registry.npmjs.org/nodeapps-helloworld
npm http GET https://registry.npmjs.org/nodeapps-helloworld/-/nodeapps-helloworld-0.2.2.tgz
npm http 200 https://registry.npmjs.org/nodeapps-helloworld/-/nodeapps-helloworld-0.2.2.tgz

/usr/local/lib/node_modules/jitsu/node_modules/npm/node_modules/lockfile/lockfile.js:26
throw er
^
TypeError: Arguments to path.resolve must be strings
at Object.exports.resolve (path.js:313:15)
at Object.exports.relative (path.js:370:20)
at installOne_ (/usr/local/lib/node_modules/jitsu/node_modules/npm/lib/install.js:707:26)
at installOne (/usr/local/lib/node_modules/jitsu/node_modules/npm/lib/install.js:634:3)
at /usr/local/lib/node_modules/jitsu/node_modules/npm/lib/install.js:520:9
at /usr/local/lib/node_modules/jitsu/node_modules/npm/node_modules/slide/lib/async-map.js:54:35
at Array.forEach (native)
at /usr/local/lib/node_modules/jitsu/node_modules/npm/node_modules/slide/lib/async-map.js:54:11
at Array.forEach (native)
at asyncMap (/usr/local/lib/node_modules/jitsu/node_modules/npm/node_modules/slide/lib/async-map.js:53:8)

Edward Shober

I noticed an earlier, similar issue. Is there a problem with using the latest node version? If so, which version of node should I install?

Jarrett Cruger
Owner

@eshober We are currently working on support for the latest node version. I recommend using 0.8.22 for the time being :).

Edward Shober

Okay, thanks!

Edward Shober eshober closed this March 21, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.